Name:		fbg2
Version:	0.3
Release:	2%{?dist}
Summary:	A falling block stacking game
Group:		Amusements/Games
# Code is GPLv2+, music and graphics are CC-BY-SA
License:	GPLv2+ and CC-BY-SA
URL:		http://sourceforge.net/projects/fbg/
Source0:	http://downloads.sourceforge.net/project/fbg/%{name}-%{version}.tar.gz
Source1:	%{name}.png
Source2:	%{name}.desktop
BuildRequires:	radius-engine-devel, desktop-file-utils, zip

%description
Falling Block Game is a free, open source block stacking game. The object of 
the game is to move and rotate pieces in order to fill in complete rows. The 
more rows you clear at once, the more points you score! 

%prep
%setup -q
chmod -x License.txt ChangeLog *.c

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE2}

%files
%defattr(-,root,root,-)
%doc License.txt ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Feb 21 2011 Tom Callaway <spot@fedoraproject.org> 0.3-2
- add zip to BuildRequires

* Tue Jan  4 2011 Tom Callaway <spot@fedoraproject.org> 0.3-1
- initial package
